> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitoearn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Video Task Status

> Interface description: Query the execution status and results of the video generation task based on taskId.



## OpenAPI

````yaml /openapi/en/aitoearn.openapi.json get /api/ai/video/generations/{taskId}
openapi: 3.0.1
info:
  title: AiToEarn Open Platform API
  description: >-
    AiToEarn Open Platform API. You can switch between the China and
    international sites for testing. Business success is determined by whether
    the response body has code === 0.
  version: 1.0.0
  contact: {}
servers:
  - url: https://aitoearn.cn
    description: China site
  - url: https://aitoearn.ai
    description: International site
security: []
tags:
  - name: AI Services
  - name: AI Services/Video Generation
  - name: AI Services/Image Generation
  - name: Channel Management
  - name: Channel Management/Accounts
  - name: Channel Management/Publishing
  - name: Channel Management/Platforms
  - name: Channel Management/Works
  - name: Channel Management/Account Groups
  - name: Channel Management/Authorization
  - name: Asset Management
  - name: AI Services/Large Language Models
paths:
  /api/ai/video/generations/{taskId}:
    get:
      tags:
        - AI Services/Video Generation
      summary: Video Task Status
      description: >-
        Interface description: Query the execution status and results of the
        video generation task based on taskId.
      operationId: VideoController_getVideoTaskStatus
      parameters:
        - name: taskId
          in: path
          description: >-
            Task ID, returned by the video generation interface, used for task
            status or generation result query.
          required: true
          example: ''
          schema:
            type: string
      responses:
        '200':
          description: >-
            The request has been processed by the service. Business success is
            determined by whether the response body has code === 0.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/VideoTaskStatusResponseVo'
                  code:
                    type: integer
                    description: >-
                      Business status code. 0 means success; non-zero means a
                      business error.
                  message:
                    type: string
                    description: Response message.
                  requestId:
                    type: string
                    description: Request ID.
                  timestamp:
                    type: integer
                    description: Error response timestamp in Unix milliseconds.
                required:
                  - code
                  - message
              examples:
                success:
                  summary: Success
                  value:
                    code: 0
                    message: Request succeeded
                    data:
                      id: string
                      model: string
                      status: string
                      input:
                        prompt: string
                        groupId: string
                        image: string
                        images:
                          - string
                        audios:
                          - string
                        duration: 1
                        aspectRatio: string
                        resolution: string
                        videoUrl: string
                        videos:
                          - string
                      submittedAt: '2026-07-02T12:00:00.000Z'
                      startedAt: '2026-07-02T12:00:00.000Z'
                      videoUrl: string
                      coverUrl: string
                      mediaId: string
                      groupId: string
                      error:
                        message: string
                      finishedAt: '2026-07-02T12:00:00.000Z'
                validationFailed10002:
                  summary: ValidationFailed (10002)
                  value:
                    code: 10002
                    message: Parameter validation failed
                    data: {}
                    timestamp: 1772099056662
                unauthorized401:
                  summary: Unauthenticated or invalid API Key
                  value:
                    code: 401
                    message: Unauthorized
                    data: {}
                    timestamp: 1772099056662
                invalidAiTaskId12302:
                  summary: InvalidAiTaskId (12302)
                  value:
                    code: 12302
                    message: Invalid AI task ID
                    data: {}
                    timestamp: 1772099056662
      deprecated: false
      security:
        - apikey-header-X-Api-Key: []
components:
  schemas:
    VideoTaskStatusResponseVo:
      type: object
      properties:
        id:
          description: Task ID
          type: string
        model:
          type: string
          description: Model name
        status:
          type: string
          description: Task status
        input:
          type: object
          properties:
            prompt:
              type: string
              description: prompt word
            groupId:
              description: Material group ID
              type: string
            image:
              description: Image URL
              anyOf:
                - type: string
                - type: array
                  items:
                    type: string
            images:
              description: Reference image URL list
              type: array
              items:
                type: string
            audios:
              description: Reference audio URL list
              type: array
              items:
                type: string
            duration:
              description: Duration (seconds)
              type: number
            aspectRatio:
              description: aspect ratio
              type: string
            resolution:
              description: resolution
              type: string
            videoUrl:
              description: First reference video URL
              type: string
            videos:
              description: Reference video URL list
              type: array
              items:
                type: string
          required:
            - prompt
          additionalProperties: false
          description: input parameters
        videoUrl:
          description: Generated video URL
          type: string
        coverUrl:
          description: Generate the cover URL of the video
          type: string
        mediaId:
          description: Saved material ID
          type: string
        groupId:
          description: Asset group ID saved to
          type: string
        error:
          description: error message
          type: object
          properties:
            message:
              description: error message
              type: string
          required:
            - message
          additionalProperties: false
        submittedAt:
          description: Submission time
          type: string
          format: date-time
        startedAt:
          description: start time
          type: string
          format: date-time
        finishedAt:
          description: completion time
          type: string
          format: date-time
      required:
        - id
        - model
        - status
        - input
        - submittedAt
        - startedAt
      additionalProperties: false
  securitySchemes:
    apikey-header-X-Api-Key:
      type: apiKey
      in: header
      name: X-Api-Key
      description: >-
        Need to get API Key from AiToEarn. Click to go to ["API Key Obtaining
        Tutorial"](/en/use/api-key).

````